Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 740912 - sys-power/nvram-wakeup: stuck on EAPI 4
Summary: sys-power/nvram-wakeup: stuck on EAPI 4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: EAPI4Removal
  Show dependency tree
 
Reported: 2020-09-07 23:22 UTC by Sam James
Modified: 2020-11-23 06:06 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-09-07 23:22:31 UTC
Please port to a newer EAPI (ideally 7).
Comment 1 Larry the Git Cow gentoo-dev 2020-10-24 15:26:20 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=42b0b2e547f3649cbbe17b12cefb470fd167cc17

commit 42b0b2e547f3649cbbe17b12cefb470fd167cc17
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-10-24 15:26:07 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-10-24 15:26:07 +0000

    package.mask: Last rite sys-power/nvram-wakeup
    
    Bug: https://bugs.gentoo.org/124755
    Bug: https://bugs.gentoo.org/713472
    Bug: https://bugs.gentoo.org/726020
    Bug: https://bugs.gentoo.org/740912
    Bug: https://bugs.gentoo.org/742434
    Signed-off-by: David Seifert <soap@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2020-11-22 14:54:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a59c270a9b0a7d45d25b7541d88c2753d078033

commit 1a59c270a9b0a7d45d25b7541d88c2753d078033
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-11-22 14:54:06 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-11-22 14:54:06 +0000

    sys-power/nvram-wakeup: Remove last-rited package
    
    Closes: https://bugs.gentoo.org/124755
    Closes: https://bugs.gentoo.org/713472
    Closes: https://bugs.gentoo.org/726020
    Closes: https://bugs.gentoo.org/740912
    Closes: https://bugs.gentoo.org/742434
    Signed-off-by: David Seifert <soap@gentoo.org>

 profiles/package.mask                              |  6 --
 sys-power/nvram-wakeup/Manifest                    |  1 -
 .../files/nvram-wakeup-0.97-nonls.patch            | 18 ------
 sys-power/nvram-wakeup/metadata.xml                | 11 ----
 sys-power/nvram-wakeup/nvram-wakeup-1.1.ebuild     | 73 ----------------------
 5 files changed, 109 deletions(-)
Comment 3 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2020-11-23 06:06:27 UTC
Users:
If you're looking for a maintained replacement for nvram-wakeup, on non-EFI systems, you should look at busybox rtcwake.

The same caveats as nvram-wakeup apply: the code interacts directly with the NVRAM/CMOS state.